Используйте собственный офисный пакет в облаке с OnlyOffice

Облако в моде, мы это знаем, и крупные компании любят Microsoft, загружают свои основные приложения для использования из сети. В мире автоматизации Office, несомненно, есть два великих лидера: Google Docs и Microsoft Office Online, но я только что узнал через Unixmen, новая альтернатива, которую мы можем установить на нашем собственном сервере.

Что такое OnlyOffice?

OnlyOffice - это веб-приложение с открытым исходным кодом, которое позволяет нам создать платформу для совместной работы для малых и средних предприятий на нашем собственном сервере. Он включает версии Enterprise и Community, и, конечно же, в этой статье я расскажу вам, как установить последнюю на нашем собственном сервере.

Что нам предлагает OnlyOffice?

Управление документами- Это позволяет нам делиться нашими документами с коллегами и пользователями за пределами портала и включает контроль версий и полные исправления.

Редактор онлайн-документов: Мы можем совместно редактировать многостраничные отчеты в реальном времени, финансовую или бизнес-документацию с другими пользователями во многих форматах: PDF, TXT, DOCX, DOC, ODT, RTF, HTML, EPUB, XLS, XLSX, ODS, CSV, HTML и PPTX.

Управление проектами: Мы можем использовать этапы, задачи и подзадачи для определения приоритетов между нашими основными целями и повседневной деятельностью. Мы можем использовать диаграмму Ганта, чтобы видеть наш прогресс в различных поставленных задачах, мы можем управлять своим временем, среди прочего.

CRM и биллинг: Мы можем управлять базой данных с нашими клиентами и создавать счета прямо на платформе.

Агрегатор электронной почты: Мы можем добавить нашу учетную запись GMail, например, чтобы связать ее с платформой. Мы можем добавить почтовый сервер, используя собственное доменное имя, для создания корпоративных почтовых ящиков для членов нашей команды, и все это будет интегрировано с остальными функциями OnlyOffice.

onlyoffice_mail

Мгновенное сообщение:

onlyoffice_chat onlyoffice_chat1

Это вас убеждает? Тогда посмотрим, как его установить ..

Требования для установки OnlyOffice

Установка OnlyOffice была произведена на Ubuntu Server 14.04 без установленного веб-сервера. Рекомендуется 2 ГБ ОЗУ, 2-ядерный процессор и 40 ГБ дискового пространства.

Когда мы устанавливаем OnlyOffice способом, который я покажу ниже, Сервер совместной работы будет установлен. который не включает онлайн-редактор. Чтобы установить онлайн-редактор, мы должны добавить другие PPA, которые я покажу позже, поскольку пакеты, которые находятся в репозитории Trusty, устарели.

Если мы установили апаш, потому что мы должны устранить или остановить его, потому что платформа использует NGinx.

$ sudo apt удалить apache2

Давайте начнем. Открываем терминал и ставим:

$ sudo wget http://download.onlyoffice.com/repo/onlyoffice.key && sudo apt-key добавить onlyoffice.key

По окончании редактируем файл / Etc / кв / sources.list и добавляем:

deb http://download.onlyoffice.com/repo/debian squeeze main

Теперь осталось выполнить:

$ sudo apt update && sudo apt install onlyoffice

Начнется процесс установки, и у нас будет запрашиваться пароль для MySQL. Когда он закончится, мы сможем получить доступ к нашему серверу. Нам просто нужно ввести IP-адрес в браузере, и он будет выглядеть примерно так:

onlyoffice

По завершении нам будет предложено выбрать пароль, (действующий) адрес электронной почты для регистрации нашей учетной записи, и мы сможем выбрать язык платформы и часовой пояс:

onlyoffice1

А когда закончим, получим:

документы

Мы можем начать работать и пользоваться преимуществами, о которых я упоминал в начале поста, но я также сказал, что у нас не будет онлайн-редактора.

Установка онлайн-редактора OnlyOffice

Это происходит потому, что для его работы вам нужна более высокая версия mono, mysql и некоторых библиотек. Но мы легко можем это решить.

При обновлении и установке онлайн-редактора мы не сможем получить доступ к предыдущим инструментам.

Редактируем файл / Etc / кв / sources.list и добавляем:

deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu надежный основной

Затем выполняем:

$ sudo apt-key adv --keyserver hkp: //keyserver.ubuntu.com: 80 --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF $ echo "deb http://download.mono-project.com/repo/debian wheezy main" | sudo tee /etc/apt/sources.list.d/mono-xamarin.list $ sudo apt-get update

По завершении набираем:

$ sudo apt upgrade && apt install mysql-server-5.6 mysql-common-5.6 mysql-client-5.6

Как только все это будет установлено, мы сможем получить доступ к онлайн-редактору по тому же URL-адресу, который мы использовали ранее.

onlyoffice3

И все .. 😉


Содержание статьи соответствует нашим принципам редакционная этика. Чтобы сообщить об ошибке, нажмите здесь.

28 комментариев, оставьте свой

Оставьте свой комментарий

Ваш электронный адрес не будет опубликован. Обязательные для заполнения поля помечены *

*

*

  1. Ответственный за данные: Мигель Анхель Гатон
  2. Назначение данных: контроль спама, управление комментариями.
  3. Легитимация: ваше согласие
  4. Передача данных: данные не будут переданы третьим лицам, кроме как по закону.
  5. Хранение данных: база данных, размещенная в Occentus Networks (ЕС)
  6. Права: в любое время вы можете ограничить, восстановить и удалить свою информацию.

  1.   Дерпи сказал

    У меня будут проблемы с LAMPP? : /

    1.    Elav сказал

      Советую попробовать новый сервер .. или без многих настроек .. 😉

  2.   F3niX сказал

    Выглядит слишком хорошо!

  3.   Castarco сказал

    хорошо,

    на днях мне было интересно, устанавливать или нет эту систему. Но у меня есть сомнения

    Неужели эта система занимает 40 ГБ? или это потому, что вам нужно скачать Mono…?
    Легко ли это настроить? У меня уже есть несколько виртуальных хостов на моем сервере, и я не хочу, чтобы установка все взорвала.

    1.    Elav сказал

      Привет

      Ну, что касается места в 40 ГБ, у меня используется только 1.5 ГБ. Я предполагаю, что это пространство предназначено для начала загрузки файлов и так далее. Поскольку его панель администрирования имеет множество опций, я не знаю, достаточно ли для того, что вам нужно ...

      привет

    2.    моно сказал

      Несколько виртуальных хостов на одном сервере - не лучший способ, чтобы избежать проблем такого стиля, как наличие виртуализации или контейнеров.

      Привет.

      1.    Castarco сказал

        @mono, я знаю, что это плохая практика. Но все они для личного пользования, а сервер - это шутка, он работает на Атоме.

        Я знаю, что если в любом из виртуальных хостов есть серьезная дыра, они могут в конечном итоге испортить их все, но я не собираюсь тратить больше денег на лучший сервер, и я не собираюсь снижать производительность, монтируя виртуальные машины или Контейнеры типа LXC. Атомы не отдают слишком много себя.

  4.   Herjo сказал

    И нет страницы, предлагающей услуги с этой платформой?

    [Offtopic] xD Если вы играете в clash of clan, я приглашаю вас в клан линуксеров под названием! Присоединяйтесь к LinuxClan.

  5.   Manuelperezf сказал

    Я получаю эту ошибку, когда пытаюсь установить my-sql 5.6

    «Следующие пакеты имеют неудовлетворенные зависимости:
    mysql-server-5.6: Зависит от: mysql-server-core-5.6 (= 5.6.19-0ubuntu0.14.04.1), но не устанавливается
    «

    1.    Elav сказал

      Тест с
      apt install mysql-server-5.6 mysql-client-5.6 mysql-server-core-5.6

      1.    Manuelperezf сказал

        похоже что сейчас если установить. Мы собираемся попробовать это

      2.    Manuelperezf сказал

        Он установлен, но после установки mysql 5.6 теряется доступ и вообще ничего не загружается.

  6.   Сэм Бургос сказал

    И можно ли установить его, используя MariaDB в качестве менеджера вместо MySQL? Я знаю, что MySQL довольно прочно укоренился благодаря нашему собственному распространению в качестве альтернативы, но было бы хорошо, если бы, даже используя хаки и другие инциденты в конфигурации, MariaDB можно было бы добавить к нему, чтобы получить больше возможностей; если нет, то никак

    1.    Elav сказал

      Я думаю, это точно так же. Вам нужно будет только экспортировать базы данных, установить MariaDB и импортировать их .. теоретически

      1.    ArmandoF сказал

        Я взял его и смонтировал на CT в proxmox Я выполнил все шаги и так и не смог найти веб-редактор, скажите мне, когда мы сможем сделать это вместе, чтобы увидеть, экспортирует ли он CT с уже установленным Office на максимальную мощность

  7.   Рафаэль Агилар сказал

    Отличный пост, большой вклад в этот инструмент.

    Я хотел бы знать, где вы получили URL-адрес репозитория Debian, я хотел бы знать, есть ли он для CentOS / RHEL 5 или 6.

    В остальном, я полагаю, что остальные шаги применимы, меняя необходимые каталоги, верно? любой совет?

    Еще раз спасибо

  8.   Pipo сказал

    Привет, есть ли способ установить его на debian 7, я пытаюсь, но он говорит мне о неудовлетворенной зависимости

  9.   Pipo сказал

    Привет, я следую вашим шагам, но онлайн-редактор не активируется, не могли бы вы мне помочь?

    1.    Elav сказал

      Установка онлайн-редактора не связана со всем остальным .. вам просто нужно сделать то, что я сказал в последней части ..

  10.   Pipo сказал

    Люди делают то же самое, что и наставник, с тем же сервером ubuntu, но на последнем этапе я получаю ошибку зависимости mysql-server-core-5.6 not found, я уже проверил и обновил, и ничего не нашел этот пакет

  11.   Виктор сказал

    С редактором никак нельзя:
    - Я начинаю с чистой установки Ubuntu Server 14.04.02
    - В установку ставлю только пакеты SSH Server и Mail Server
    - Я строго следую инструкциям. Даже до редактора - отлично. Захожу, настраиваю и все остальное.
    - Следуя инструкциям для редактора. При установке MySQL версии 5.6 удаляется весь OnlyOffice. Хорошо, устанавливаю снова и:

    apt-get install onlyoffice
    Следующие пакеты имеют неудовлетворенные зависимости:
    onlyoffice: Зависит от: mysql-server, но он не устанавливается
    Зависит от: mysql-client

    apt-get install onlyoffice mysql-server mysql-client
    Следующие пакеты имеют неудовлетворенные зависимости:
    mysql-client: Зависит от: mysql-client-5.5, но не устанавливается
    mysql-server: Зависит от: mysql-server-5.5, но не устанавливается
    E: Проблемы не удалось исправить, у вас остались битые пакеты.

    С этого момента он не позволит мне установить OnlyOffice, если он не с MySQL в версии 5.5.

    Любые идеи?

    1.    Elav сказал

      Я думаю, проблема в том, что вы ставите:

      apt-get install onlyoffice mysql-server mysql-client

      контрольная работа:

      apt-get install onlyoffice mysql-server-5.5 mysql-client-5.5

      Однако то же самое произошло и со мной, и у меня не было возможности переустановить onlyoffice, мне пришлось заново создавать MV с нуля. Может, решение есть, но по лени не нашла. И, черт возьми, тут то, что либо ты используешь одно, либо другое, и то и другое одновременно невозможно.

      1.    Виктор сказал

        Да ... происходит то, что это как-то организовывает меня с MySQL. Как-то конфигурационные вещи остались от версии 5.6. Особенно с неправильной конфигурацией темы InnoDB.
        На случай, если это случится с кем-то, я нашел решение здесь:
        https://gopukrish.wordpress.com/2014/06/20/plugin-innodb-registration-as-a-storage-engine-failed/
        В любом случае с версией 5.5 редактор не работает.
        Saludos у Gracias

      2.    временной сказал

        По странице и форумам http://dev.onlyoffice.org/ рекомендует установить сервер сообщества (первый) на одном компьютере и (второй) сервер документов на другом компьютере, каждый из них доступен в репозиториях, упомянутых здесь

        С другой стороны, я предлагаю вам использовать докер для установки обеих служб, сначала это сложно, но потом вы освоитесь,

  12.   Федерико сказал

    Здравствуйте, я следил за вашим руководством .. и мне удалось его установить. Но когда я собираюсь установить онлайн-редактор, и он спрашивает у меня адрес электронной почты, по которому можно отправить мне имя пользователя и пароль, я ввожу свой адрес электронной почты: acoguemovil@gmail.com и ни одно сообщение никогда не доходит до меня….

    1.    Виктор сказал

      Это вопрос конфигурации Postfix, чтобы он мог отправлять сообщения в Интернет. Самый нормальный (и простой) вариант - установить его как «интернет + смартхост». Чтобы приехать туда:
      dpkg-reconfigure postfix
      Затем вам нужно настроить аутентификацию для учетной записи, которая будет использоваться для отправки сообщений. Вот инструкция:
      http://blog.bravi.org/?p=1065
      привет

  13.   Ренато апаза сказал

    Здравствуйте, во-первых, поздравляю с учебником, во-вторых, я выполнил шаги установки, но когда я запустил приложение, появляется сообщение «502 Bad Gateway». Благодарю.

  14.   Леонардо сказал

    Как насчет того, что я следил за установкой в ​​ubuntu, но когда все установлено, у меня возникает ошибка зависимости.
    http://105.imagebam.com/download/cMPDiBLsmlqIikbKIWYtaA/45242/452412145/Screenshot_2.png
    http://105.imagebam.com/download/4vRME5bX5sr1w_0wiBx9EQ/45242/452412142/Screenshot_1.png